Error with the seed (-l) argument in Bowtie
1
0
Entering edit mode
5.6 years ago
Chynoki • 0

Hi, I want to use Bowtie to align reads on a genome in order to look for miRNA. I'm encountering troubles with running it.

Here is my command line

bowtie -q -S -a -l 18 -n 0 -e 80 -m 5 --best --strata /data/Genomes/mm9/bowtie1/mm9 ../cutadapt/mirCE1.cut.fastq mirCE1_bowtie.sam -al reads_alignes_genome.fa

When I run it, I got the following message:

-l/--seedlen arg must be at least 5

Does someone know what is the problem with my command line?

Thanks a lot.

Sebastien

bowtie seed • 1.7k views
ADD COMMENT
0
Entering edit mode
5.6 years ago
h.mon 34k

If I am not mistaken, I see two errors:

-1 ../cutadapt/mirCE1.cut.fastq

--al reads_alignes_genome.fa

So try with

bowtie -q -S -a -l 18 -n 0 -e 80 -m 5 \
  --best --strata /data/Genomes/mm9/bowtie1/mm9 \
  --al reads_alignes_genome.fa \
  -1 ../cutadapt/mirCE1.cut.fastq \
  mirCE1_bowtie.sam
ADD COMMENT
0
Entering edit mode

Thank you for your answer,

using the -1 argm seems to need a -2 arg with mates files. I got this using the -1 arg:

Error: 1 mate files/sequences were specified with -1, but 0

mate files/sequences were specified with -2. The same number of mate files/ sequences must be specified with -1 and -2.

Using:

-q -S -a -l 18 -n 0 -e 80 -m 5 --best --strata --al reads_alignes_genome.fa /data/Genomes/mm9/bowtie1/mm9 ../cutadapt/mirCE1.cut.fastq

I got the error:

Saw ASCII character 10 but expected 33-based Phred qual.

But ASCII character10 correspond to LF (Line Feed). I do not understand why I got this error.

Do you maybe have an idea?

Using: -q -S -a -l 18 -n 0 -e 80 -m 5 --best --strata --al reads_alignes_genome.fa /data/Genomes/mm9/bowtie1/mm9 ../cutadapt/mirCE1.cut.fastq

Edit: Found the problem with the score, I didn't suppress lines which were completely trimmed by cutadapt

ADD REPLY

Login before adding your answer.

Traffic: 2394 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6